import { Routes } from '@angular/router';

export const routes: Routes = [
  {
    path: '',
    loadChildren: () => import('./tabs/tabs.routes').then((m) => m.routes),
  },
  {
    path: 'daily-content',
    loadComponent: () => import('./daily-content/daily-content.page').then( m => m.DailyContentPage)
  },
  {
    path: 'card-detail',
    loadComponent: () => import('./tab1/card-detail/card-detail.page').then( m => m.CardDetailPage)
  },
  {
    path: 'card1',
    loadComponent: () => import('./tab1/card1/card1.page').then( m => m.Card1Page)
  },



];
